package com.fs.fastGpt.mapper;

import java.util.List;
import com.fs.fastGpt.domain.FastgptTagGroup;

/**
 * ai标签组Mapper接口
 * 
 * @author fs
 * @date 2024-12-20
 */
public interface FastgptTagGroupMapper 
{
    /**
     * 查询ai标签组
     * 
     * @param id ai标签组主键
     * @return ai标签组
     */
    public FastgptTagGroup selectFastgptTagGroupById(Long id);

    /**
     * 查询ai标签组列表
     * 
     * @param fastgptTagGroup ai标签组
     * @return ai标签组集合
     */
    public List<FastgptTagGroup> selectFastgptTagGroupList(FastgptTagGroup fastgptTagGroup);

    /**
     * 新增ai标签组
     * 
     * @param fastgptTagGroup ai标签组
     * @return 结果
     */
    public int insertFastgptTagGroup(FastgptTagGroup fastgptTagGroup);

    /**
     * 修改ai标签组
     * 
     * @param fastgptTagGroup ai标签组
     * @return 结果
     */
    public int updateFastgptTagGroup(FastgptTagGroup fastgptTagGroup);

    /**
     * 删除ai标签组
     * 
     * @param id ai标签组主键
     * @return 结果
     */
    public int deleteFastgptTagGroupById(Long id);

    /**
     * 批量删除ai标签组
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFastgptTagGroupByIds(Long[] ids);
}
